Subject: bug#36313: closed (Re: bug#36313: 12.1.2; percent symbol in \url{})

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 27 Jun 2019 19:33:02 +0000

Your bug report

#36313: 12.1.2; percent symbol in \url{}

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36313: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36313
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36313: 12.1.2; percent symbol in \url{}
From: Arash Esbati <[email-masked]>
To: Ryo Furue <[email-masked]>
Cc: Ikumi Keita <[email-masked]>, [email-masked]
Date: Thu, 27 Jun 2019 21:31:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 36313 = notabug
quit

Ryo Furue <[email-masked]> writes:

> Following his advice, I looked at the top of the AUCtex manual and found:
>
> If you want to make AUCTEX aware of style files and multi-file documents
> right away, insert the following in your .emacs file.
> . . . .
> (setq TeX-parse-self t)
> . . . .
>
> I still don't see how this is related to URLs . . .
>
> I'm not complaining.  Not at all.  It just shows how hard it is to find
> the  information I wanted.

Does this sentence makes more sense:

    If you want to make AUCTeX aware of used LaTeX package in a document
    and multi-file documents right away, insert the following in your
    .emacs file.

If so, we should clarify it.

> So, even though Arash says
>
> but it seems to me that users start asking google instead of reading the
> first 5 paragraphs of the manual
>
> in the thread above, you shouldn't blame the users (like me) :-)

Rest assured that it was not about blaming the users, it is just an
observation that many users ignore the manual right away as they presume
it is obsolete, not complete, ...  I'm not complaining either :-)

Best, Arash

Subject: 12.1.2; percent symbol in \url{}
From: Ryo Furue <[email-masked]>
To: [email-masked]
Date: Fri, 21 Jun 2019 01:28:21 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Some valid URLs contain the percent symbol but the LaTeX mode (I don't
know its official name) treats it as the beginning of a comment and uses
the comment color as a result.

Emacs  : GNU Emacs 26.2 (build 1, x86_64-apple-darwin18.2.0, NS
appkit-1671.20 Version 10.14.3 (Build 18D109))
of 2019-04-13
Package: 12.1.2

current state:
==============
(setq
AUCTeX-date "2019-02-08"
window-system 'ns
LaTeX-version "2e"
TeX-style-path '("/usr/local/var/auctex"
 "/Users/furue/.emacs.d/elpa/auctex-12.1.2/style"
 "/Users/furue/.emacs.d/auctex/auto"
 "/Users/furue/.emacs.d/auctex/style" "auto" "style")
TeX-auto-save nil
TeX-parse-self nil
TeX-master t
TeX-command-list '(("LatexMk"
    "latexmk %(-PDF)%S%(mode) %(file-line-error) %(extraopts) %t"
    TeX-run-latexmk nil
    (plain-tex-mode latex-mode doctex-mode) :help
    "Run LatexMk")
   ("TeX"
    "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %t"
    TeX-run-TeX nil
    (plain-tex-mode ams-tex-mode texinfo-mode) :help
    "Run plain TeX")
   ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil
    (latex-mode doctex-mode) :help "Run LaTeX")
   ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil
    (texinfo-mode) :help "Run Makeinfo with Info output")
   ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
    TeX-run-compile nil (texinfo-mode) :help
    "Run Makeinfo with HTML output")
   ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %t"
    TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
   ("ConTeXt"
    "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t"
    TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
   ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t"
    TeX-run-TeX nil (context-mode) :help
    "Run ConTeXt until completion")
   ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help
    "Run BibTeX")
   ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
   ("View" "%V" TeX-run-discard-or-function t t :help
    "Run Viewer")
   ("Print" "%p" TeX-run-command t t :help "Print the file")
   ("Queue" "%q" TeX-run-background nil t :help
    "View the printer queue" :visible TeX-queue-command)
   ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help
    "Generate PostScript file")
   ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help
    "Convert DVI file to PostScript")
   ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help
    "Convert DVI file to PDF with dvipdfmx")
   ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help
    "Convert PostScript file to PDF")
   ("Glossaries" "makeglossaries %s" TeX-run-command nil t
    :help "Run makeglossaries to create glossary file")
   ("Index" "makeindex %s" TeX-run-index nil t :help
    "Run makeindex to create index file")
   ("upMendex" "upmendex %s" TeX-run-index t t :help
    "Run upmendex to create index file")
   ("Xindy" "texindy %s" TeX-run-command nil t :help
    "Run xindy to create index file")
   ("Check" "lacheck %s" TeX-run-compile nil (latex-mode)
    :help "Check LaTeX file for correctness")
   ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode)
    :help "Check LaTeX file for common mistakes")
   ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil
    t :help "Spell-check the document")
   ("Clean" "TeX-clean" TeX-run-function nil t :help
    "Delete generated intermediate files")
   ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
    "Delete generated intermediate and output files")
   ("Other" "" TeX-run-command t t :help
    "Run an arbitrary command")
   )
)